{% load django_bootstrap5 %}
{% if request.user.is_authenticated and request.user.reviewer.is_verified %}
{% include "panels/entity/evaluation_form.html" %}
{% endif %}

<div id="evaluations" class="add-top-margin add-bottom-margin">
  <h3>{{ entity.evaluation.all|length }} review{{entity.evaluation.all|pluralize}}</h3>

  {% for ev in entity.evaluation.all %}
    <div class="card {% if request.user == ev.user %}card-highlight{% endif %}">
      {% if request.user == ev.user %}
      <div class="card-header" id="your-review">
        {% if request.user == ev.user %}
          <a
            href="#"
            class="float-end btn btn-outline-light-panelapp btn-xs"
            hx-get="{% url 'panels:delete_evaluation_by_user' panel.panel_id entity_type entity_name ev.pk %}"
            hx-swap="none"
            hx-disabled-elt="this"
          >
            Delete
          </a>
        {% endif %}
        <div class="card-title">
          Your review
        </div>
      </div>
      {% endif %}
      {% include "panels/entity/entity_evaluation.html" with ev=ev %}
    </div>
  {% endfor %}
</div>
